# dask.dataframe.DataFrame.compute

DataFrame.compute(**kwargs)

  Compute this dask collection

  This turns a lazy Dask collection into its in-memory equivalent. For example a Dask array turns into a NumPy array and a Dask dataframe turns into a Pandas dataframe. The entire dataset must fit into memory before calling this operation.

  Parameters:
    scheduler string, optional

      Which scheduler to use like “threads”, “synchronous” or “processes”. If not provided, the default is to check the global settings first, and then fall back to the collection defaults.

    optimize_graph bool, optional

      If True [default], the graph is optimized before computation. Otherwise the graph is run as is. This can be useful for debugging.

    kwargs

      Extra keywords to forward to the scheduler function.

  See also

  `dask.compute`